version: '3.2'
services:
    alertmanager-bot:
        image: metalmatze/alertmanager-bot:0.3.1
        environment:
            - ALERTMANAGER_URL=http://<alertmngerURL>:9093 #откуда бот получает алерт
            - LISTEN_ADDR=0.0.0.0:8080
            - BOLT_PATH=/data/bot.db
            - STORE=bolt
            - TELEGRAM_ADMIN=<TelegramAdminID> #ваш ID в телеграм
            - TELEGRAM_TOKEN=<TelegramBotToken> # токен бота
            - TEMPLATE_PATHS=/templates/default.tmpl
        volumes:
            - /srv/monitoring/alertmanager-bot:/data
        ports:
            - 8083:8080
    prometheus:
        image: prom/prometheus:latest
        volumes:
            - ./prometheus:/etc/prometheus/
        command:
            - --config.file=/etc/prometheus/prometheus.yml
        ports:
            - 9090:9090
        links:
            - cadvisor:cadvisor
            - node-exporter:node-exporter
        depends_on:
            - cadvisor
        restart: always
    node-exporter:
        image: prom/node-exporter
        volumes:
            - /proc:/host/proc:ro
            - /sys:/host/sys:ro
            - /:/rootfs:ro
        command:
            - --path.procfs=/host/proc
            - --path.sysfs=/host/sys
            - --collector.filesystem.ignored-mount-points
            - ^/(sys|proc|dev|host|etc|rootfs/var/lib/docker/containers|rootfs/var/lib/docker/overlay2|rootfs/run/docker/netns|rootfs/var/lib/docker/aufs)($$|/)
        ports:
            - 9100:9100
        restart: always
        deploy:
            mode: global
    alertmanager:
        image: prom/alertmanager
        ports:
            - 9093:9093
        volumes:
            - ./alertmanager/:/etc/alertmanager/
        restart: always
        command:
            - --config.file=/etc/alertmanager/config.yml
            - --storage.path=/alertmanager
    cadvisor:
        image: google/cadvisor
        volumes:
            - /:/rootfs:ro
            - /var/run:/var/run:rw
            - /sys:/sys:ro
            - /var/lib/docker/:/var/lib/docker:ro
        ports:
            - 8080:8080
        restart: always
        deploy:
            mode: global
    
    loki:
        image: grafana/loki:2.5.0
        ports:
            - 3100:3100
        command: -config.file=/etc/loki/local-config.yaml

    promtail:
        image: grafana/promtail:2.5.0
        volumes:
            - /var/log:/var/log
            - /var/lib/docker/containers:/var/lib/docker/containers
            - /home/ubuntu/docker/docker-config.yml:/etc/promtail/docker-config.yml
        command: -config.file=/etc/promtail/docker-config.yml
        ports: 
            - 9080:9080
        
    grafana:
        image: grafana/grafana
        user: "$UID:$GID"
        depends_on:
            - prometheus
        ports:
            - 3000:3000
        volumes:
            - ./grafana:/var/lib/grafana
            - ./grafana/provisioning/:/etc/grafana/provisioning/
        restart: always
